Page MenuHomePhabricator

At least one user is permanently unable to use Special:RecentChanges on translatewiki.net
Closed, ResolvedPublic

Description

For several weeks now, at least one user reports to be unable to use Special:RecentChanges on translatewiki.net, because it results in a 504 Gateway Time-out error. https://translatewiki.net/wiki/Thread:Support/Special:RecentChanges

This particularly affects translators, who need to know what's going on in their language. Operating a wiki without RecentChanges is like operating a railway station without signs for timetable or directions.

The problem was surfaced when the entire wiki was switched to hhvm, which is set up to use a 10 seconds time out instead of the traditional 30 seconds. Database queries are often longer than that.

Niklas was kind enough to spend some 30 min extracting some data to assess the frequency of errors.
12.08 <+Nikerabbit> 94 200
12.08 <+Nikerabbit> 21 302
12.08 <+Nikerabbit> 17 404
12.08 <+Nikerabbit> 12 502
12.08 <+Nikerabbit> 10 499
12.08 <+Nikerabbit> 1 504
12.12 <+Nikerabbit> looking at the user agents there are at most 5 real users who can have encountered *any kind* of error for special:rc
12.16 <+Nikerabbit> Nemo_bis: those users have encountered an issue that the page has been failed to deliver. it does not mean that is a permanent error


Version: unspecified
Severity: critical
See also:

Details

Reference
bz72228

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:48 AM
bzimport set Reference to bz72228.
bzimport added a subscriber: Unknown Object (MLST).

This is presumably happening for people doing RC queries for all translations in some obscure language that doesn't have very many translations? If so, and if that's really common on TranslateWiki, maybe CleanChanges extension should optimize for that - add a field to recetchanges table with just the language code of the page, and then add an index on (language, rc_namespace, rc_timestamp) or whatever is appropriate given whatever the query actually is.

(In reply to Bawolff (Brian Wolff) from comment #1)

This is presumably happening for people doing RC queries for all
translations in some obscure language that doesn't have very many
translations?

Probably, except that "obscure" here is ml with tens of millions speakers, not Klingon. ;)

(In reply to Nemo from comment #2)

(In reply to Bawolff (Brian Wolff) from comment #1)

This is presumably happening for people doing RC queries for all
translations in some obscure language that doesn't have very many
translations?

Probably, except that "obscure" here is ml with tens of millions speakers,
not Klingon. ;)

Never underestimate the Klingon empire. Also https://translatewiki.net/w/i.php?title=Special:RecentChanges&translations=only&trailer=%2Ftlh times out too

I am able to access Recent Changes page if I open the link https://translatewiki.net/w/i.php?title=Special:RecentChanges&translations=only&trailer=/ml in a private window. But if I increase the 'Days to show in recent changes' to 30 and 'Number of edits to show by default' to 500 ( https://translatewiki.net/w/i.php?title=Special:RecentChanges&days=30&from=&limit=500&translations=only&trailer=%2Fml ) page times out.

I set those values in my special:preference page, so not visible in the rc page address. The values are also possible to set through Recent changes page interface also, so I hope nothing wrong using so.

Nikerabbit lowered the priority of this task from High to Medium.Dec 9 2014, 9:11 AM
Nikerabbit added a subscriber: Nikerabbit.

Priority cannot be high if nobody is working on it.

Priority cannot be high if nobody is working on it.

https://www.mediawiki.org/wiki/Phabricator/Project_management says "planning to work". We don't know that nobody is planning to work on this.

I know there is on-going discussions there about how to use phabricator. Since this is twn issue, I'm not expecting anyone besides me to work on this. Having said that, volunteers are welcome. For twn, besides keeping things running, I have other higher priority tasks to work on first when I have time. I'm planning to request a project for twn to make it more transparent what are the priorities for it.

Aklapper set Security to None.

The MySQL queries are taking ~20 seconds.

Nemo_bis updated the task description. (Show Details)Jul 21 2015, 8:39 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 21 2015, 8:39 AM

We changed servers today. I'd be interested in experiences. The new server has more memory, faster CPU threads, and more CPU threads.

We changed servers today. I'd be interested in experiences. The new server has more memory, faster CPU threads, and more CPU threads.

It would be nice to raise the timeouts, now that there are less resource constraints.

Nikerabbit closed this task as Resolved.Dec 8 2017, 3:03 PM
Nikerabbit claimed this task.

Closing per feedback.